Package: org.codehaus.groovy.tools.shell.util

## [Groovy] Class DefaultCommandsRegistrar

- org.codehaus.groovy.tools.shell.util.DefaultCommandsRegistrar

- Registers Command classes from an XML file like: <commands> <command>org.codehaus.groovy.tools.shell.commands.HelpCommand</command> ... </commands>

  Authors:
    Jason Dillon

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultCommandsRegistrar (Shell shell)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `register()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultCommandsRegistrar(Shell shell)

  - ### Method Detail

    - #### void register()